@echo off
REM *-------------------------------------------------------------------
REM *	Command file to Make a Generic Windows GUI program...
REM *
REM *     which will be known as: SWINHI.EXE
REM * 
REM *	Daniel B. Sedory -- March 14, 2004
REM *
REM *-------------------------------------------------------------------

cls
echo.
echo    Building swinhi.exe ...
echo.

REM *	Compile Source Code (files)
REM *-------------------------------------------------------------------
C:\bc55\bin\bcc32 -tW -c -v -w -y swinhi.cpp

if errorlevel 1 goto ERROR

REM *	Link if compile was successful
REM *-------------------------------------------------------------------
C:\bc55\bin\ilink32 swinhi.obj c0w32.obj, swinhi.exe,,import32.lib cw32.lib,,/aa/c/Gn/v

echo.
if errorlevel 1 goto ERROR2
echo  Link Successful; you still need to test your program!
GOTO DONE

REM *	Compiler error(s)!
REM -------------------------------------------------------------------
:ERROR
echo.
echo    Error(s) in compile.  Aborting Link!
echo.
goto DONE

REM *	Linker error(s)!
REM -------------------------------------------------------------------
:ERROR2
echo.
echo    Link was NOT successful!
echo.

:DONE
echo.
pause
cls

:END
